
Foreman - Feature #1373

Support puppet kick (puppetrun) options 

12/06/2011 12:41 PM - Florian Koch

Status: New   

Priority: Normal   

Assignee:    

Category: Puppet integration   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Hi,

support for puppet kick (puppetrun) e.g --class or --tags would be very  nice. (for single and multihost puppetruns)

in my mind i have this picture:

a checkbox e.g "extra opts" and then a pop up to configure the options (cmd input  or also checkboxes with input fields)

rgds f0

Related issues:

Related to Foreman - Feature #5174: Possibility to run puppet agent with --ta... New 04/14/2014

Related to Foreman - Feature #5175: Possibility to run puppet agent with --no... Closed

History

#1 - 12/20/2011 07:02 AM - Ohad Levy

- Assignee deleted (Ohad Levy)

#2 - 03/15/2016 05:38 AM - Ohad Levy

- Description updated

- Status changed from New to Rejected

since puppetrun is mostly deprecated via puppetlabs, I would suggest to use the foreman remote execution plugin to achieve that instead.

#3 - 03/15/2016 05:40 AM - Dominic Cleal

The smart proxy supports a number of Puppet run providers, not just puppet kick command - most of which should be able to accept tags etc.  This

seems pretty valid to me.

#4 - 03/15/2016 05:44 AM - Ohad Levy

I do agree its a valid request, I do feel that the right way forward solving this is via the remote execution plugin vs in foreman itself.

if you still disagree - please change the status accordingly.

#5 - 03/15/2016 05:45 AM - Dominic Cleal

- Status changed from Rejected to New

#6 - 03/17/2016 04:44 AM - Dominic Cleal

- Related to Feature #5174: Possibility to run puppet agent with --tags from foreman UI added

#7 - 03/17/2016 04:44 AM - Dominic Cleal

- Related to Feature #5175: Possibility to run puppet agent with --noop flag from foreman UI added
